from spr import *
from act import *
import os
import sys
from stat import *
from spracttosprite import SprAct2Sprite

from wxPython.wx import *

name = 'Load an act/spr file (combined load)'
type = 'importer'
doc = ''

_repeat = []

def getSprite(parent, repeat=0):
    global _repeat
    
    if not repeat or not _repeat:
        dlg = wxFileDialog(parent, 'Choose spr or act file', os.getcwd(),
                           '', 'Spr File (*.spr)|*.spr|Act File (*.act)|*.act',
                           wxOPEN)
        if dlg.ShowModal() == wxID_OK:
            filename = dlg.GetPath()

            if filename[-3:] == 'act':
                actname = filename
                sprname = filename[:-3]+'spr'
                othername = sprname
            else:
                sprname = filename
                actname = filename[:-3]+'act'
                othername = actname

            if not os.access(othername, os.F_OK):
                print 'Missing corresponding file'
                return None

            _repeat = [actname, sprname]
        else:
            return None
        dlg.Destroy()

    act = Act(actname)
    spr = Spr(sprname)

    return SprAct2Sprite(spr, act)

    
